Lookup phone number
curl --request POST \
--url https://api-message.nativehub.live/api/v1/numbers/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone": "+8801712345678"
}
'import requests
url = "https://api-message.nativehub.live/api/v1/numbers/lookup"
payload = { "phone": "+8801712345678" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone: '+8801712345678'})
};
fetch('https://api-message.nativehub.live/api/v1/numbers/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d6e7f8a9-b0c1-2345-de67-890123456789",
"phone": "+8801712345678",
"country_code": "BD",
"country_name": "Bangladesh",
"carrier": "Grameenphone",
"is_ported": false,
"is_mobile": true,
"mcc": "470",
"mnc": "01",
"created_at": "2026-02-14T10:30:00Z"
}{
"error": "Invalid request parameters"
}Number Lookup
Lookup phone number
Lookup information about a phone number
POST
/
numbers
/
lookup
Lookup phone number
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I